# Interface StructureViewerBehaviourObserverInterface<R, L>

#### Type Parameters

- #### R

- #### L

#### Hierarchy

- StructureViewerBehaviourObserverInterface

#### Implemented by

- AssemblyBehaviourObserver
- MsaBehaviourObserver
- NullBehaviourObserver

- Defined in src/RcsbFvStructure/StructureViewerBehaviourInterface.ts:9

#####
Index

### Methods

observe
unsubscribe

## Methods

### observe

- observe(structureViewer, stateManager): void

- #### Parameters

  - ##### structureViewer: ViewerCallbackManagerInterface & ViewerActionManagerInterface<R, L>

  - ##### stateManager: RcsbFvStateInterface

  #### Returns void

  - Defined in src/RcsbFvStructure/StructureViewerBehaviourInterface.ts:10

### unsubscribe

- unsubscribe(): void

- #### Returns void

  - Defined in src/RcsbFvStructure/StructureViewerBehaviourInterface.ts:11

Generated using TypeDoc